<?	// Preamble
	$siteName = "The QuakeForge Project";
	$columns = 'content';
	define ('siteHome', "/home/project-web/quake/htdocs");

	require siteHome . "/parts/library.inc";	// Load function library
	if ($need) {
		need ($need);
		unset ($need);
	}

	require siteHome . "/parts/head.inc"; 		// Load the HEAD and open BODY
	require siteHome . "/parts/topstrip.inc";	// Display top strip
	require siteHome . "/parts/titletable.inc"; // Display main title w/ logos
	require siteHome . "/parts/menu.inc";		// Load up the menu

	$contentClass = '';
	if ($modules && $modules = explode (" ", $modules)) {

		$columns .= ' features';
		$contentClass = 'class="narrow"';

		echo '<DIV id="features">';
		for ($i = 0; $i < count ($modules); $i++) {
			include siteHome . "/parts/" . $modules[$i] . ".inc";
		}
		echo '</DIV>';
	}

	echo '<SCRIPT type="text/javascript">columnIDs = new Array (';
	$columns = explode (" ", $columns);
	$i = count ($columns);
	do {
		echo "'" . $columns[$i-1] . "'";
		if (--$i) {
			echo ", ";
		}
	} while ($i);
	echo ');</SCRIPT>';

?>
<DIV <?=$contentClass?> id="content"><!-- Content Start -->
<?
	require siteHome . "/parts/topmain.inc";	// insert page title

	/*
		This is cool. We add the postamble to a function in the
		preamble and register it as a shutdown function, so the
		postamble doesn't have to be included from pages. :)
	*/
	function postamble ()
	{
		include siteHome . "/parts/postamble.inc";	// heehee
	}

	register_shutdown_function (postamble);
?>
